Subject: Re: bug#52435: 29.0.50; C-y seems to contain an old contents

From: Peter Dyballa <[email-masked]>
Date: Tue, 14 Dec 2021 10:31:56 +0100

> Am 14.12.2021 um 09:48 schrieb Michael Heerdegen <[email-masked]>:
> 
> Peter Dyballa <[email-masked]> writes:
> 
>>> Do I understand correctly: you expect that C-x o deactivates the mark,
>>> but it doesn't?
>> 
>> It's exactly this for me surprising behaviour.
> 
> And you are sure that this was different in older emacs versions, and
> not just something in your config?  If you are, do we know when this
> changed?

No, I am not sure. IMO the documentation states that the mark will be cleared when I leave the buffer. (Or use M-< or M->.)

My usual behaviour is that I mark a region in *shell* buffer and apply shell-command-on-region. Then I move into another buffer in the same frame, mostly *compilation*. I perform a few edits on *Shell Command Output*, kill the remaining line and the buffer, and am back in *compilation* where I can use the edited output from *Shell Command Output*. Because a compilation was going on, I chose to use *shell* buffer to change from it to *Shell Command Output* and fell back to it. The region was still marked and so the contents of last kill-line in *Shell Command Output* was overwritten with the contents of the marked region. After C-y, seeing the wrong contents, I could Esc-y to bring back the killed line. So GNU Emacs worked transparently, only I was surprised about the unexpected contents.

I don't think that I have a particular configuration, except (transient-mark-mode t). As I wrote on Sunday, a few older versions of GNU Emacs show the same behaviour. On a decades old PowerBook I could check the behaviour of much older Emacsen and report here. (There I too work with MacPorts to keep some utilities and OpenSSL up-to-date and have to use the described procedure much more often, since some open software ports do not support the old OS and hardware and have to be excluded from upgrading at least initially.) If you can give me some variable names I can check whether I reset the original setting.

One fact should be stated: using a mouse click to change into another buffer clears the mark.

--
Mit friedvollen Grüßen

  Pete

Math illiteracy affects 7 out of every 5 Americans.